STACKSTART = 0xC800;
STACKLEN   = 0x800;

MEMORY
{
 zero : org = 2 , len = 0x8d
 ram : org = 0x801, len=0xd7ff
 stack : org = STACKSTART, len=STACKLEN
}

SECTIONS
{
  text : {*(text)} >ram
  .dtors : { *(.dtors) } > ram
  .ctors : { *(.ctors) } > ram
  rodata : {*(rodata)} >ram
  data: {*(data)} >ram
  init : {*(init)} >ram
  zpage (NOLOAD) : {*(zpage)} >zero AT> ram
  bss (NOLOAD): {*(bss)} >ram
  reserve SIZEOF(data);

  __BB = ADDR(bss);
  __BE = ADDR(bss)+SIZEOF(bss);
  __ZB = ADDR(zpage);
  __ZS = SIZEOF(zpage);
  __ZC = LOADADDR(zpage);
  __DB = ADDR(data);
  __DE = ADDR(data)+SIZEOF(data);
  __DC = LOADADDR(data);
  __SE = STACKSTART+STACKLEN;
  ___heap = ADDR(bss)+SIZEOF(bss);
  ___heapend = 0xD000;
}
